<div class="login-body">
    <div class="login-wrapper">
        <div class="login-panel">
            <a class="logologin">
                <img src="assets/images/logo-text.png"/>
            </a>
            <form id="loginform" autocomplete="off" [formGroup]="loginForm" (ngSubmit)="login()">
                <div class="dato">
                    <input type="text" class="p-inputtext-lg inputtext" placeholder="{{this.messagesAppService.messageData.screenLogin.campoEmail}}" id="email" pInputText formControlName="email" />
                </div>
                <div class="danger" *ngIf="campoNoValido('email')">
                    <small class="block">El usuario o email es obligatorio</small>
                </div>
                <div class="dato">
                    <input type="password" pPassword [feedback]="false" class="p-inputtext-lg inputtext" id="password" placeholder="Contraseña" formControlName="password"/>
                </div>
                <div class="danger" *ngIf="campoNoValido('password')">
                    <small class="block">La contraseña es obligatoria</small>
                </div>
                <button pButton pRipple label="Ingresar" type="submit" class="ingresar"></button>
                <p>o</p>
                <p class="text-estudiantes">sólo para estudiantes</p>
                <div class="googlesign">
                    <div id="my-signin2"></div>
                </div>
            </form>
            <a href="#">¿Olvidaste tu contraseña?</a>
            <p>Si aún no tienes cuenta, <a routerLink='/registro'>Regístrate</a></p>
            <p>Si tienes problemas para ingresar a tu cuenta, <p-button (click)="showPositionDialog('bottom')" label="Contactar a soporte" styleClass="p-button-link"></p-button></p>
        </div>
        <div class="login-footer">
            <h4>Dualclasses</h4>
            <h6>Copyright Ⓒ</h6>
        </div>
    </div>
</div>

<p-dialog header="Dualclasses te acompaña" [(visible)]="displayPosition" [position]="position" [modal]="true" [style]="{width: '50vw'}"
    [draggable]="false" [resizable]="false">
    <p>¿No puedes ingresar a tu cuenta o tienes alguna duda?</p>
    <p>No te preocupes, el equipo de DualClasses está para acompañarte en cada fase de tu proceso. Puedes contactarnos al correo: soportedualc@dualclasses.com o da click 
        <a class="whatsapp" href="https://api.whatsapp.com/send?phone=573125778007&text=Quiero contactar a un asesor">aquí</a> para comunicarte con un asesor vía whatsapp.
    </p>
        <ng-template pTemplate="footer">
            <p-button icon="pi pi-check" (click)="displayPosition=false" label="Ok" styleClass="p-button-text"></p-button>
        </ng-template>
</p-dialog>
